<script type="text/javascript" src="/m/js/moo.js"></script>

<div id="signup_v2">
	<h1 class="section-title section-padding"><?= __('su2_please_fill_out_form') ?></h1>

	<form method="post" action="" id="signup-form" >
		<div class="autofilltest">
			<label for="phone"></label>
			<input type="text" name="phone" id="phone" />
		</div>
		<? if ( ! in_array($this->type, array('member', 'vip-member')) ): ?>

		<div class="registration-box">
			<p class="text bold padleft50"><?= __('su2_choose_your_business') ?>:</p>
            <div class="padleft174 padtop5">
                <div class=" <?= ($this->errors['user_type']) ? 'reg-error-box' : 'reg-top-container' ?> ">

                    <div class="inner mtb5">
                        <input type="radio" name="user_type" <?php if(isset($this->data['user_type']) && $this->data['user_type']=='member'){echo "checked";} ?> value="member" id="user_type_member" />
                        <label class="big padleft5" for="user_type_member"><?= __('member') ?></label>
                    </div>
                    <div class="clear"></div>

                    <div class="inner mtb5">
                        <input type="radio" name="user_type" <?php if(isset($this->data['user_type']) && $this->data['user_type']=='escort'){echo "checked";} ?> value="escort" id="user_type_escort" />
                        <label class="big padleft5" for="user_type_escort"><?= __('su2_independent_escort') ?></label>
                    </div>
                    <div class="clear"></div>
                    <div class="inner mtb5">
                        <input type="radio" name="user_type" <?php if(isset($this->data['user_type']) && $this->data['user_type']=='agency'){echo "checked";} ?> id="user_type_agency" value="agency" />
                        <label class="big padleft5" for="user_type_agency"><?= __('su2_agency_escort') ?></label>
                    </div>
                    <div class="tip none error">
                        <div class="tip-arrow"></div
                        <span>
                            <?= $this->errors['user_type'] ?>
                        </span>
                    </div>
                </div>

            </div>
			<div class="clear"></div>
		</div>
		<? endif; ?>

		<? if ( in_array($this->type, array('member', 'vip-member')) ): ?>
			<input type='hidden' name='user_type' value='<?= $this->type ?>' />
		<? endif; ?>

		<div class="registration-box">

			
			<? if ( in_array($this->type, array('escort', 'agency')) ): ?>
			<div class="inner">
				<label class="small" for="promotion_code"><?= __('su2_promotion_code') ?>:</label>
				<input type="text" class="<?= ($this->errors['promotion_code']) ? 'txt-error' : 'txt' ?>" value="<?= $this->data['promotion_code'] ?>" id="promotion_code" name="promotion_code" />
				<div class="tip none error">
					<div class="tip-arrow"></div
					<span>
						<?= $this->errors['promotion_code'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<? endif; ?>

			<div class="inner">
				<label class="small" for="username"><?= __('su2_username') ?>:</label>
				<input type="text" class="<?= ($this->errors['username']) ? 'invalid' : 'txt' ?> w465" value="<?= $this->data['username'] ?>" id="username" name="username" />
				<div class="tip none error">
					<div class="tip-arrow"></div
					<span>
						<?= $this->errors['username'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="password"><?= __('su2_password') ?>:</label>
				<input type="password" class="<?= ($this->errors['password']) ? 'invalid' : 'txt' ?> w465" value="" name="password" id="password" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['password'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="password2"><?= __('su2_confirm_password') ?>:</label>
				<input type="password" class="<?= ($this->errors['password2']) ? 'invalid' : 'txt' ?> w465" value="" name="password2" id="password2" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['password2'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<div class="inner">
				<label class="small" for="email"><?= __('su2_email') ?>:</label>
				<input type="text" class="<?= ($this->errors['email']) ? 'invalid' : 'txt' ?> w465" value="<?= $this->data['email'] ?>" name="email" id="email" />
				<div class="tip none error">
					<div class="tip-arrow"></div>
					<span>
					<?= $this->errors['email'] ?>
					</span>
				</div>
			</div>
			<div class="clear"></div>
			<!-- <div class="inner">
				<label class="small"> Captcha:</label>
				<div class="captcha_box fl">
					<span class="label label2"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span><br />
					<input class="textinput textinput2<?= isset($this->errors['captcha']) ? ' invalid' : '' ?>" type="text" name="captcha" size="16" value="" />
				</div>
			</div>
			<div class="clear"></div> -->
			<div class="inner ml172 w475">
				<input type="checkbox" value="1" name="terms" id="terms" <?= ($this->data['terms']) ? 'checked="checked"' : '' ?> />
				<label for="terms"><?= $this->t('i_agree_with_terms', array('LINK' => $this->getLink('terms'))) ?></label>

			</div>
			<div class="clear"></div>
			<div class="actions">
				<button onclick="getType();" type="button">
					<img src="<?= _st('signup/' . $this->lang() . '_btn_signup.png') ?>" alt="" />
				</button>
			</div>
			<div class="clear"></div>
		</div>
	</form>
</div>

<script type="text/javascript">
    function getType(){
        var values = $$("input[name=user_type]:checked").map(function(e) { return e.value; });
        if( values.length < 1 ){
            alert('Please select member type !');
        } else {
            $('signup-form').submit();
        }
    }
</script>